'===============================================================================
' Calculator.bas 
' Created on 10/08/2014
' Last changes on October 20, 2016
'===============================================================================

#Include "WinGUI.bi"

Dim Shared As MSG msg
Dim Shared As HWND Window_Main, Edit_a, Edit_b, Edit_c, _
							Button_Plus, Button_Minus, Button_Mult, Button_Div
														

Sub CreateWindow_Main()
	'Main window
	
	Window_Main = Window_New	(200, 200, 300, 150, "Simple Calculator")
	Var Label_a = Label_New		(10, 10, 90, 20, "Number 1:",, Window_Main)  
	Edit_a = EditBox_New			(100, 10, 100, 20, "0",, Window_Main)	
	Var Label_b = Label_New		(10, 40, 90, 20, "Number 2:",, Window_Main)
	Edit_b = EditBox_New			(100, 40, 100, 20, "0",, Window_Main)	
	Var Label_c = Label_New		(10, 70, 90, 20, "Result:",, Window_Main)
	Edit_c = EditBox_New			(100, 70, 100, 20, "0", WS_TABSTOP Or ES_READONLY, Window_Main)
	Button_Plus = Button_New	(210, 10, 20, 20, "+",, Window_Main)
	Button_Minus = Button_New	(240, 10, 20, 20, "-",, Window_Main)
	Button_Mult = Button_New	(210, 40, 20, 20, "*",, Window_Main)
	Button_Div = Button_New		(240, 40, 20, 20, "/",, Window_Main)
	
End Sub


Sub Calculate(ByVal method As String)
	'Get a and b from edit boxes, calculate and set result c into edit box
	
	Dim As Single a, b, c
	
	a = Val(EditBox_GetText(Edit_a))
	b = Val(EditBox_GetText(Edit_b))
	
	
	Select Case method
		Case "+"
			c = a + b
		Case "-"
			c = a - b
		Case "*"
			c = a * b
		Case "/"
			c = a / b
	End Select
	
	EditBox_SetText(Edit_c, Str(c))
	
End Sub


'Callback functions:

Sub Button_Plus_Event()
	Calculate("+")
End Sub

Sub Button_Minus_Event()
	Calculate("-")
End Sub
	
Sub Button_Mult_Event()
	Calculate("*")
End Sub	
	'
Sub Button_Div_Event()
	Calculate("/")
End Sub


'Main:

CreateWindow_Main()

Do
	WaitEvent(Window_Main, msg)

	Select Case msg.hwnd
		Case Button_Plus
			If msg.message = WM_LBUTTONDOWN Then Button_Plus_Event()
		Case Button_Minus
			If msg.message = WM_LBUTTONDOWN Then Button_Minus_Event()
		Case Button_Mult
			If msg.message = WM_LBUTTONDOWN Then Button_Mult_Event()
		Case Button_Div
			If msg.message = WM_LBUTTONDOWN Then Button_Div_Event()
	End Select
	
Loop Until Window_Event_Close(Window_Main, msg)	
	
End
