'===============================================================================
' Menu.bas
' How to create a menu 
' Created on 08/04/2015
' Last changes on October 20, 2106
'===============================================================================

#Include "WinGUI.bi"

Dim As HWND Window_Main, Button_Close
Dim As HMENU hMenu, hFile, hHelp
Dim As MSG msg

'Create a window:
Window_Main = Window_New	(100, 100, 500, 500, "Test menu")
	
'Create menu and nenu headers:
hMenu = CreateMenu()
hFile = CreateMenu()
hHelp = CreateMenu()

'Create menu titles:
MenuTitle(hMenu, hFile, "File")
MenuTitle(hMenu, hHelp, "Help")

'Create menu items:
MenuItem(hFile, 1, "New")
MenuItem(hFile, 2, "Open")
MenuItem(hFile, 3, "Save")
MenuItem(hFile, 4, "Exit")
MenuItem(hHelp, 5, "Info")

'Assign menu to the window:
SetMenu(Window_Main, hMenu)

'Create a "Close" button:
Button_Close = Button_New(200, 200, 80, 20, "Close",, Window_Main)
	
'Event loop:
Do
	WaitEvent(Window_Main, msg)
  
	Select Case msg.hwnd
	
  Case Window_Main
    Select Case msg.message
    Case WM_COMMAND ' Menu commands
      Select Case msg.wParam
      Case 1
        Print "New"
      Case 2
        Print "Open"
      Case 3
        Print "Save"
      Case 4
        Print "Exit"
      Case 5
        Messagebox(0, "Test of menu functions", "Info", 0)
      End Select
    End Select
    
  Case Button_Close
    If msg.message = WM_LBUTTONDOWN Then Exit Do
    
  End Select
  
Loop Until Window_Event_Close(Window_Main, msg)

End

