'===============================================================================
' TAB_Key.bas
' Created on October 19, 2016 
' Change between controls using keys
'===============================================================================

'- Change between editboxes using the TAB key.
'- Change between editBoxes and the group of buttons using the TAB key.
'- Change between buttons with the direction keys, since the parameter "Style" is 
'  set to 0 (no WS_TABKEY style).
 
#Include "WinGui.bi"

Dim As HWND Window_Main, Edit_1, Edit_2, Edit_3, Button_1, Button_2, Button_3
Dim As MSG msg

'Create the window with one group of editboxes and one group of buttons:
Window_Main = Window_New	(100, 100, 250, 250, "TAB Key Test")
Var Label_1 = Label_New		(10, 10, 100, 20, "EditBox 1:",, Window_Main)
Var Label_2 = Label_New		(10, 40, 100, 20, "EditBox 2:",, Window_Main)
Var Label_3 = Label_New		(10, 70, 100, 20, "EditBox 3:",, Window_Main)	
Edit_1 = EditBox_New			(110, 10, 100, 20, "text...", WS_GROUP Or WS_TABSTOP, Window_Main)
Edit_2 = EditBox_New			(110, 40, 100, 20, "text...",, Window_Main)
Edit_3 = EditBox_New			(110, 70, 100, 20, "text...",, Window_Main)														
Button_1 = Button_New			(110, 100, 100, 20, "Button 1", WS_GROUP Or WS_TABSTOP, Window_Main)  
Button_2 = Button_New			(110, 130, 100, 20, "Button 2",0, Window_Main)
Button_3 = Button_New			(110, 160, 100, 20, "Button 3",0, Window_Main)

'Message loop:
Do
	WaitEvent(Window_Main, msg)
  Select Case msg.hwnd
		Case Button_1
			If msg.message = WM_LBUTTONDOWN Then Print "Button 1 was clicked"
		Case Button_2
			If msg.message = WM_LBUTTONDOWN Then Print "Button 2 was clicked"
		Case Button_3
			If msg.message = WM_LBUTTONDOWN Then Print "Button 3 was clicked"
	End Select
Loop Until Window_Event_Close(Window_Main, msg)
End	
													

