'===============================================================================
' ComboBox.bas
' Test ComboBox
' Created on July 14, 2016
' Latest changes on October 20, 2016
'===============================================================================

#Include "WinGUI.bi"

Dim As MSG msg
Dim As HWND WinMain, Combo, Edit_Index, Edit_SelText, Edit_Text, Button_Add, _
						Button_Delete, Button_Insert, Button_Replace
Dim As Integer i, index

'Create window:
WinMain = Window_New					(100, 100, 400, 400, "Test Combobox")
Combo = ComboBox_New					(20, 20, 150, 300,, WinMain)
Var Label_Index = Label_New		(200, 50, 150, 20, "Selected index:",, WinMain)
Edit_Index = EditBox_New			(200, 70, 150, 20, "", WS_TABSTOP Or ES_CENTER Or ES_READONLY, WinMain)
Var Label_SelText = Label_New	(200, 100, 150, 20, "Selected text:",, WinMain)
Edit_SelText = EditBox_New		(200, 120, 150, 20, "", WS_TABSTOP Or ES_READONLY, WinMain)
Button_Delete = Button_New		(200, 150, 150, 20, "Delete selected item",, WinMain)
Edit_Text = EditBox_New				(200, 200, 150, 20, "Type text here",, WinMain)
Button_Add = Button_New				(200, 230, 150, 20, "Add to list",, WinMain)
Button_Insert = Button_New		(200, 260, 150, 20, "Insert",, WinMain)
Button_Replace = Button_New		(200, 290, 150, 20, "Replace",, WinMain)


For i = 0 To 20
	ComboBox_AddString(Combo, "Item number " + Str(i))
Next
ComboBox_SetCurSel(Combo, 0)

Do
	WaitEvent(WinMain, msg)
	If msg.message = WM_LBUTTONDOWN Then
		Select Case msg.hwnd
			Case Combo
				'The ComboBox' listbox has been opened with the first mouse click - 
				'wait until second mouse click do retrieve the selected index:
				Do
					WaitEvent(WinMain, msg)
				Loop Until msg.message = WM_LBUTTONDOWN
				index = ComboBox_GetCurSel(Combo)
				EditBox_SetText(Edit_Index, Str(index))
				EditBox_SetText(Edit_SelText, ComboBox_GetText(Combo, index))
			Case Button_Add
				ComboBox_AddString(Combo, EditBox_GetText(Edit_Text))
			Case Button_Delete
				ComboBox_DeleteString(Combo, index)
			Case Button_Insert
				ComboBox_InsertString(Combo, index, EditBox_GetText(Edit_Text))
			Case Button_Replace
				ComboBox_ReplaceString(Combo, index, EditBox_GetText(Edit_Text))
		End Select
	End If
Loop Until Window_Event_Close(WinMain, msg)

End
