'==============================================================================
' Datagrid.bas
' Editable grid of Editboxes
'	Created on July 11, 2016
' Latest change on October 18, 2016
'==============================================================================

#Include "WinGUI.bi"

Dim As HWND Window_Main, Edit_Data(20, 10), Button_GetData
Dim As MSG msg
Dim As Integer i, j

'Create the window with a data grid:
Window_Main = Window_New(100, 100, 900, 500, "Editable Datagrid")
For i = 0 To 20
	For j = 0 To 10
		Edit_Data(i, j) = EditBox_New(j * 80, i * 20, 80, 20, "abc",, Window_Main)
		EditBox_SetText(Edit_Data(i, j), "text(" + Str(i) + ", " + Str(j) + ")")
	Next
Next
Button_GetData = Button_New(350, 430, 100, 20, "GetData",, Window_Main)

'Main:
Do
	WaitEvent(Window_Main, msg)
	If msg.message = WM_LBUTTONDOWN And msg.hwnd = Button_GetData Then
		'Get data from the data grid and display them on the console:
		For i = 0 To 20
			For j = 0 To 10
				Print EditBox_GetText(Edit_Data(i, j))
			Next
		Next
	End If
Loop Until Window_Event_Close(Window_Main, msg)

End
