'==============================================================================
' Listbox_Table.bas
' Use a listbox as table
' Created on July 11, 2016
'==============================================================================

#Include "WinGUI.bi"

Dim As HWND Window_Main, List_Table, Edit_x, Edit_x2, Edit_Sqrx
Dim As MSG msg
Dim As Single x
Dim As String buffer0, buffer1, s, xs, x2s, Sqrxs
Dim As Long index

'Create Window:
Window_Main = Window_New		(100, 100, 500, 400, "Use Listbox as a Table")
List_Table = ListBox_New		(10, 10, 200, 350,, Window_Main)
Var Label_x = Label_New			(240, 10, 50, 20, "x:",, Window_Main)
Edit_x = EditBox_New				(290, 10, 80, 20, "", ES_READONLY, Window_Main)
Var Label_x2 = Label_New		(240, 40, 50, 20, "x^2:",, Window_Main)
Edit_x2 = EditBox_New				(290, 40, 80, 20, "", ES_READONLY, Window_Main)
Var Label_Sqrx = Label_New	(240, 70, 50, 20, "Sqr(x):", ES_READONLY, Window_Main)
Edit_sqrx = EditBox_New			(290, 70, 80, 20, "", ES_READONLY, Window_Main)

'Write data into the listbox, using a monospace font.
'Write left justified text into the columns of the table.
Control_SetFont(List_Table, "Courier New")
buffer0 = Space(5)
buffer1 = Space(7)
Lset buffer0, "x"
Lset buffer1, "x^2"
Listbox_AddString(List_Table, buffer0 + buffer1 + "Sqr(x)")
Listbox_AddString(List_Table, String(20, "-"))
For x = 0 To 100
	buffer0 = Space(5)
	buffer1 = Space(7)
	Lset buffer0, Str(x) 
	Lset buffer1, Str(x^2) 
	Listbox_AddString(List_Table, buffer0 + buffer1 + Str(Sqr(x)))
Next

 
'Main:
Do
	WaitEvent(Window_Main, msg)
	If msg.hwnd = List_Table And msg.message = WM_LBUTTONDOWN Then
		'Retrieve selected data from the listbox and show them in the editboxes:
		index = Listbox_GetCurSel(List_Table)
		s = Listbox_GetText(List_Table, index)
		xs = Left(s, Len(buffer0))
		x2s = Mid(s, Len(buffer0) + 1, Len(buffer1))
		Sqrxs = Mid(s, Len(buffer0) + Len(buffer1) + 1) 
		EditBox_SetText(Edit_x, xs)
		EditBox_SetText(Edit_x2, x2s)
		EditBox_SetText(Edit_Sqrx, Sqrxs)
	End If
Loop Until Window_Event_Close(Window_Main, msg)

End
