'==============================================================================
' Paint.bas
' Painting on a FreeBasic graphics window, choosing a color from a Windows
' colorpicker
' Created on 22/03/2015
' Last changes on 17/04/2016
'==============================================================================

#Include "WinDialogs.bi"

Dim As Integer Taste, lastbutton, x, y, xlo, ylo, xru, yru
Dim As Uinteger colour = 0

'Open a FreeBasic graphics window for painting:
ScreenRes 640, 480, 32
WindowTitle "Paint"
Width 80, 30
Color 0, &HFFFFFF
Cls

'Pseudo buttons:
Draw String (10, 10), "[Choose a color]"
Line (10, 30) - (40, 50), 0, BF
Draw String (10, 60), "[Exit]"

'Define drawing region:
xlo = 150
ylo = 10
xru = 630
yru = 470
Line (xlo, ylo) - (xru, yru), 0, B


'Painting: 
'(See painting program by Zippy
'http://www.freebasic.net/forum/viewtopic.php?f=2&t=22249)

lastbutton = 0

Do

	GetMouse(x, y,,Taste)
	
	If x > 10 And x < 138 And y > 10 And y < 26 And Taste = 1 Then
		'Choose color from Windows colorpicker: 
		colour = BGRtoRGB(ColorPicker())
		Line (10, 30) - (40, 50), colour, BF
	End If
		
	If x > 10 And x < 82 And y > 60 And y < 76 And Taste = 1 Then Exit Do	'End
	
	'Paint:
	If x > xlo And y > ylo And x < xru And y < yru Then
		If Taste = 1 Then
			If lastbutton = 1 Then
				Line -(x, y), colour 
			Else
				PSet(x, y)
				lastbutton = 1
			End If
		Else
			lastbutton = 0
		End If
  End If
  
	Sleep 1
	
Loop Until Inkey = Chr(255, 107)	'close the graphis window

End

